Skip to main content
`Ctrl`+`K`

# DMGetDMTS

get read-only private `DMTS` context from a `DM`

## Synopsis

    #include "petscts.h"
    PetscErrorCode DMGetDMTS(DM dm, DMTS *tsdm)

Not Collective

## Input Parameter

- dm - `DM` to be used with `TS`

## Output Parameter

- tsdm - private `DMTS` context

## Notes

Use `DMGetDMTSWrite()` if write access is needed. The `DMTSSetXXX()` API should be used wherever possible.

## See Also

TS: Scalable ODE and DAE Solvers, `DMTS`, `DMGetDMTSWrite()`

## Level

developer

## Location

src/ts/utils/dmts.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages